<div class="container-fluid">
	<nav aria-label="breadcrumb">
		<ol class="breadcrumb">
		<li class="breadcrumb-item active" aria-current="page" routerLink='/'>home</li>
		<li class="breadcrumb-item active" aria-current="page">galleria</li>
		</ol>
	</nav>
</div>

<div class="container">		
		<div class="row">
			<div class="col-sm">
				<div class="form-group">
					<label for="namefilter">nome dell'oggetto</label>
					<input id="product_name" 
							name="product_name"
							#namefilter
							(keyup)="filterItemsOnName(namefilter.value)"
							placeholder="nome dell'oggetto"
							class="form-control"/>
				</div>
			</div>
		</div>

		<div class="row">
			<div class="col-sm">
				<div class="form-group">
					<label for="descriptionfilter">descizione dell'oggetto</label> 
					<input id="product_description" 
							name="product_description"
							#descriptionfilter
							(keyup)="filterItemsOnDescription(descriptionfilter.value)"
							placeholder="descizione dell'oggetto"
							class="form-control"/>
				</div>
			</div>
		</div>
</div>

<div class="container">
	<div class="row">
		<ngb-pagination [(page)]="page" [pageSize]="pageSize" [collectionSize]="collectionSize"></ngb-pagination>
	</div>
</div>

<div class="container">
	<div class="row">
		<div class="col-sm" *ngFor="let product of all_items | slice: (page - 1) * pageSize : (page - 1) * pageSize + pageSize; index as i">
			
			<div class="row">
				<div class="card" style="width: 18rem;">
					<img class="card-img-top img-thumbnail" [src]="env.assetUrl + product.path + product.extension" alt="{{product.description}}">
					<div class="card-body">
						<h5 class="card-title">{{ product.name }}</h5>
						<p class="card-text">{{ product.price }}</p>
						<p class="card-text">{{ product.description }}</p>
						<a href="#" class="btn btn-primary" [routerLink]="['/product', product.id]">dettagli</a>
					</div>
				</div>
			</div>
			
		</div>
		
	</div>
</div>


<div class="container">
	<div class="row">
		<ngb-pagination [(page)]="page" [pageSize]="pageSize" [collectionSize]="collectionSize"></ngb-pagination>
	</div>
</div>